开源 企业版 高校版 私有云 模力方舟 AI 队友
代码拉取完成,页面将自动刷新
加入 Gitee
与超过 1400万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
已有帐号? 立即登录
文件
master
分支 (30)
标签 (178)
master
nightly-snapshot
devin/1760126431-fix-format-truncation-warnings
revert-9145-zd20038_2
devin/1753203298-add-pkcs7-data-oid-support
devin/1747238512-add-ssl-remove-session
pr-8603
devin/invalid-gentime-crl-test
devin/1742841122-add-dod-pki-oids
rm_arc4
devin/1742405136-cipherType-to-string
remove-arc4
devin/1741708186-add-cmake-wolfclu
devin/1742172556-aes-xts-tests
devin/1741319666-remove-qt-guard-add-tests
devin/1740705266-update-mlkemkey-apis
devin/1740757542-null-cipher-evp-update
devin/1740759575-null-cipher-fix
devin-lifeguard/update-rules-d59f9c48
devin/1739920896-esp32-fixes
WCv5.2.5-STM32-PAA
WCv5.2.4-KRNL-CHKIN
v5.8.2-stable
WCv5.2.3-RSA-SWITCH
wolfEntropy2
WCv5.2.3-DHGENPUB-r2
WCv5.2.3-DHGENPUB
v5.8.0-stable
WCv6.0.0-RC5
WCv6.0.0-RC4
WCv5.2.3-STM32-PAA
WCv6.0.0-RC3
v5.7.6-stable
v5.2.1
WCv5.2.3-ARMv8-PAA-r2
WCv6.0.0-RC2
WCv6.0.0-RC1
v5.2.1-stable-OS_Seed-HdrOnly
v5.7.4-stable
v5.7.2-stable
master
分支 (30)
标签 (178)
master
nightly-snapshot
devin/1760126431-fix-format-truncation-warnings
revert-9145-zd20038_2
devin/1753203298-add-pkcs7-data-oid-support
devin/1747238512-add-ssl-remove-session
pr-8603
devin/invalid-gentime-crl-test
devin/1742841122-add-dod-pki-oids
rm_arc4
devin/1742405136-cipherType-to-string
remove-arc4
devin/1741708186-add-cmake-wolfclu
devin/1742172556-aes-xts-tests
devin/1741319666-remove-qt-guard-add-tests
devin/1740705266-update-mlkemkey-apis
devin/1740757542-null-cipher-evp-update
devin/1740759575-null-cipher-fix
devin-lifeguard/update-rules-d59f9c48
devin/1739920896-esp32-fixes
WCv5.2.5-STM32-PAA
WCv5.2.4-KRNL-CHKIN
v5.8.2-stable
WCv5.2.3-RSA-SWITCH
wolfEntropy2
WCv5.2.3-DHGENPUB-r2
WCv5.2.3-DHGENPUB
v5.8.0-stable
WCv6.0.0-RC5
WCv6.0.0-RC4
WCv5.2.3-STM32-PAA
WCv6.0.0-RC3
v5.7.6-stable
v5.2.1
WCv5.2.3-ARMv8-PAA-r2
WCv6.0.0-RC2
WCv6.0.0-RC1
v5.2.1-stable-OS_Seed-HdrOnly
v5.7.4-stable
v5.7.2-stable
克隆/下载
克隆/下载
提示
下载代码请复制以下命令到终端执行
为确保你提交的代码身份被 Gitee 正确识别,请执行以下命令完成配置
初次使用 SSH 协议进行代码克隆、推送等操作时,需按下述提示完成 SSH 配置
1 生成 RSA 密钥
2 获取 RSA 公钥内容,并配置到 SSH公钥
在 Gitee 上使用 SVN,请访问 使用指南
使用 HTTPS 协议时,命令行会出现如下账号密码验证步骤。基于安全考虑,Gitee 建议 配置并使用私人令牌 替代登录密码进行克隆、推送等操作
Username for 'https://gitee.com': userName
Password for 'https://userName@gitee.com': # 私人令牌
master
分支 (30)
标签 (178)
master
nightly-snapshot
devin/1760126431-fix-format-truncation-warnings
revert-9145-zd20038_2
devin/1753203298-add-pkcs7-data-oid-support
devin/1747238512-add-ssl-remove-session
pr-8603
devin/invalid-gentime-crl-test
devin/1742841122-add-dod-pki-oids
rm_arc4
devin/1742405136-cipherType-to-string
remove-arc4
devin/1741708186-add-cmake-wolfclu
devin/1742172556-aes-xts-tests
devin/1741319666-remove-qt-guard-add-tests
devin/1740705266-update-mlkemkey-apis
devin/1740757542-null-cipher-evp-update
devin/1740759575-null-cipher-fix
devin-lifeguard/update-rules-d59f9c48
devin/1739920896-esp32-fixes
WCv5.2.5-STM32-PAA
WCv5.2.4-KRNL-CHKIN
v5.8.2-stable
WCv5.2.3-RSA-SWITCH
wolfEntropy2
WCv5.2.3-DHGENPUB-r2
WCv5.2.3-DHGENPUB
v5.8.0-stable
WCv6.0.0-RC5
WCv6.0.0-RC4
WCv5.2.3-STM32-PAA
WCv6.0.0-RC3
v5.7.6-stable
v5.2.1
WCv5.2.3-ARMv8-PAA-r2
WCv6.0.0-RC2
WCv6.0.0-RC1
v5.2.1-stable-OS_Seed-HdrOnly
v5.7.4-stable
v5.7.2-stable
wolfssl
/
scripts
/
ocsp.test
wolfssl
/
scripts
/
ocsp.test
ocsp.test 3.41 KB
一键复制 编辑 原始数据 按行查看 历史
#!/bin/sh
# ocsp.test
# Note, this script makes connection(s) to the public Internet.
SCRIPT_DIR="$(dirname "$0")"
server=www.globalsign.com
ca=certs/external/ca-globalsign-root.pem
[ ! -x ./examples/client/client ] && printf '\n\n%s\n' "Client doesn't exist" \
&& exit 1
if ! ./examples/client/client -V | grep -q 3; then
echo 'skipping ocsp.test because TLS1.2 is not available.' 1>&2
exit 77
fi
GL_UNREACHABLE=0
# Global Sign now requires server name indication extension to work, check
# enabled prior to testing
OUTPUT=$(eval "./examples/client/client -S check")
if [ "$OUTPUT" = "SNI is: ON" ]; then
printf '\n\n%s\n\n' "SNI is on, proceed with globalsign test"
if [ "$AM_BWRAPPED" != "yes" ]; then
# is our desired server there?
"${SCRIPT_DIR}/ping.test" $server 2
RESULT=$?
if [ $RESULT -ne 0 ]; then
GL_UNREACHABLE=1
fi
else
RESULT=0
fi
if [ $RESULT -eq 0 ]; then
# client test against the server
echo "./examples/client/client -X -C -h $server -p 443 -A \"$ca\" -g -o -N -v d -S $server"
./examples/client/client -X -C -h $server -p 443 -A "$ca" -g -o -N -v d -S $server
GL_RESULT=$?
[ $GL_RESULT -ne 0 ] && printf '\n\n%s\n' "Client connection failed"
else
GL_RESULT=1
fi
else
printf '\n\n%s\n\n' "SNI disabled, skipping globalsign test"
GL_RESULT=0
fi
server=www.google.com
ca=certs/external/ca-google-root.pem
if [ "$AM_BWRAPPED" != "yes" ]; then
# is our desired server there?
${SCRIPT_DIR}/ping.test $server 2
RESULT=$?
else
RESULT=0
fi
if [ $RESULT -eq 0 ]; then
# client test against the server
echo "./examples/client/client -X -C -h $server -p 443 -A \"$ca\" -g -o -N"
./examples/client/client -X -C -h $server -p 443 -A "$ca" -g -o -N
GR_RESULT=$?
[ $GR_RESULT -ne 0 ] && printf '\n\n%s\n' "Client connection failed"
else
GR_RESULT=1
fi
if test -n "$WOLFSSL_OCSP_TEST"; then
# check that both passed
if [ $GL_RESULT -eq 0 ] && [ $GR_RESULT -eq 0 ]; then
printf '\n\n%s\n' "Both OCSP connection to globalsign and google passed"
printf '%s\n' "Test Passed!"
exit 0
elif [ $GL_UNREACHABLE -eq 1 ] && [ $GR_RESULT -eq 0 ]; then
printf '%s\n' "Global Sign is currently unreachable. Logging it but if"
printf '%s\n' "this continues to occur should be investigated"
exit 0
else
# Unlike other environment variables the intent of WOLFSSL_OCSP_TEST
# is to indicate a requirement for both tests to pass. If variable is
# set and either tests fail then whole case fails. Do not set the
# variable if either case passing is to be considered a success.
printf '\n\n%s\n' "One of the OCSP connections to either globalsign or"
printf '%s\n' "google failed, however since WOLFSSL_OCSP_TEST is set"
printf '%s\n' "the test is considered to have failed"
printf '%s\n' "Test Failed!"
exit 1
fi
else
# if environment variable is not set then just need one to pass
if [ $GL_RESULT -ne 0 ] && [ $GR_RESULT -ne 0 ]; then
printf '\n\n%s\n' "Both OCSP connection to globalsign and google failed"
printf '%s\n' "Test Failed!"
exit 77
else
printf '\n\n%s\n' "WOLFSSL_OCSP_TEST NOT set, and 1 of the tests passed"
printf '%s\n' "Test Passed!"
exit 0
fi
fi
Loading...
举报
举报成功
我们将于2个工作日内通过站内信反馈结果给你!
请认真填写举报原因,尽可能描述详细。
请选择举报类型
取消
发送
误判申诉

此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。

如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。

取消
提交

简介

暂无描述
暂无标签
GPL-3.0
使用 GPL-3.0 开源许可协议
取消

发行版

暂无发行版

贡献者

全部

近期动态

不能加载更多了
编辑仓库简介
简介内容
主页
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
1
https://gitee.com/init0000/wolfssl.git
git@gitee.com:init0000/wolfssl.git
init0000
wolfssl
wolfssl
master
点此查找更多帮助

搜索帮助

评论
仓库举报
回到顶部
登录提示
该操作需登录 Gitee 帐号,请先登录后再操作。
立即登录
没有帐号,去注册

AltStyle によって変換されたページ (->オリジナル) /